ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.57 by root, Sat Dec 24 12:55:17 2005 UTC vs.
Revision 1.66 by root, Wed Jan 11 19:55:33 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions 896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 897 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 898 --enable-iso14755 enable support for extended ISO 14755 modes
4097fi 4097fi
4098 4098
4099fi 4099fi
4100 4100
4101 4101
4102echo "$as_me:$LINENO: checking for sched_yield" >&5
4103echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4104if test "${ac_cv_func_sched_yield+set}" = set; then
4105 echo $ECHO_N "(cached) $ECHO_C" >&6
4106else
4107 cat >conftest.$ac_ext <<_ACEOF
4108/* confdefs.h. */
4109_ACEOF
4110cat confdefs.h >>conftest.$ac_ext
4111cat >>conftest.$ac_ext <<_ACEOF
4112/* end confdefs.h. */
4113/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4114 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4115#define sched_yield innocuous_sched_yield
4116
4117/* System header to define __stub macros and hopefully few prototypes,
4118 which can conflict with char sched_yield (); below.
4119 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4120 <limits.h> exists even on freestanding compilers. */
4121
4122#ifdef __STDC__
4123# include <limits.h>
4124#else
4125# include <assert.h>
4126#endif
4127
4128#undef sched_yield
4129
4130/* Override any gcc2 internal prototype to avoid an error. */
4131#ifdef __cplusplus
4132extern "C"
4133{
4134#endif
4135/* We use char because int might match the return type of a gcc2
4136 builtin and then its argument prototype would still apply. */
4137char sched_yield ();
4138/* The GNU C library defines this for functions which it implements
4139 to always fail with ENOSYS. Some functions are actually named
4140 something starting with __ and the normal name is an alias. */
4141#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4142choke me
4143#else
4144char (*f) () = sched_yield;
4145#endif
4146#ifdef __cplusplus
4147}
4148#endif
4149
4150int
4151main ()
4152{
4153return f != sched_yield;
4154 ;
4155 return 0;
4156}
4157_ACEOF
4158rm -f conftest.$ac_objext conftest$ac_exeext
4159if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4160 (eval $ac_link) 2>conftest.er1
4161 ac_status=$?
4162 grep -v '^ *+' conftest.er1 >conftest.err
4163 rm -f conftest.er1
4164 cat conftest.err >&5
4165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4166 (exit $ac_status); } &&
4167 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4168 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4169 (eval $ac_try) 2>&5
4170 ac_status=$?
4171 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4172 (exit $ac_status); }; } &&
4173 { ac_try='test -s conftest$ac_exeext'
4174 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4175 (eval $ac_try) 2>&5
4176 ac_status=$?
4177 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4178 (exit $ac_status); }; }; then
4179 ac_cv_func_sched_yield=yes
4180else
4181 echo "$as_me: failed program was:" >&5
4182sed 's/^/| /' conftest.$ac_ext >&5
4183
4184ac_cv_func_sched_yield=no
4185fi
4186rm -f conftest.err conftest.$ac_objext \
4187 conftest$ac_exeext conftest.$ac_ext
4188fi
4189echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4190echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4191if test $ac_cv_func_sched_yield = yes; then
4192 :
4193else
4194 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4195echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4196if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4197 echo $ECHO_N "(cached) $ECHO_C" >&6
4198else
4199 ac_check_lib_save_LIBS=$LIBS
4200LIBS="-lrt $LIBS"
4201cat >conftest.$ac_ext <<_ACEOF
4202/* confdefs.h. */
4203_ACEOF
4204cat confdefs.h >>conftest.$ac_ext
4205cat >>conftest.$ac_ext <<_ACEOF
4206/* end confdefs.h. */
4207
4208/* Override any gcc2 internal prototype to avoid an error. */
4209#ifdef __cplusplus
4210extern "C"
4211#endif
4212/* We use char because int might match the return type of a gcc2
4213 builtin and then its argument prototype would still apply. */
4214char sched_yield ();
4215int
4216main ()
4217{
4218sched_yield ();
4219 ;
4220 return 0;
4221}
4222_ACEOF
4223rm -f conftest.$ac_objext conftest$ac_exeext
4224if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4225 (eval $ac_link) 2>conftest.er1
4226 ac_status=$?
4227 grep -v '^ *+' conftest.er1 >conftest.err
4228 rm -f conftest.er1
4229 cat conftest.err >&5
4230 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4231 (exit $ac_status); } &&
4232 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4233 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4234 (eval $ac_try) 2>&5
4235 ac_status=$?
4236 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4237 (exit $ac_status); }; } &&
4238 { ac_try='test -s conftest$ac_exeext'
4239 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4240 (eval $ac_try) 2>&5
4241 ac_status=$?
4242 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4243 (exit $ac_status); }; }; then
4244 ac_cv_lib_rt_sched_yield=yes
4245else
4246 echo "$as_me: failed program was:" >&5
4247sed 's/^/| /' conftest.$ac_ext >&5
4248
4249ac_cv_lib_rt_sched_yield=no
4250fi
4251rm -f conftest.err conftest.$ac_objext \
4252 conftest$ac_exeext conftest.$ac_ext
4253LIBS=$ac_check_lib_save_LIBS
4254fi
4255echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4256echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4257if test $ac_cv_lib_rt_sched_yield = yes; then
4258 LIBS="$LIBS -lrt"
4259fi
4260
4261fi
4262
4263
4264echo "$as_me:$LINENO: checking for sched_yield support" >&5
4265echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4266cat >conftest.$ac_ext <<_ACEOF
4267/* confdefs.h. */
4268_ACEOF
4269cat confdefs.h >>conftest.$ac_ext
4270cat >>conftest.$ac_ext <<_ACEOF
4271/* end confdefs.h. */
4272#include <sched.h>
4273int
4274main ()
4275{
4276sched_yield ()
4277 ;
4278 return 0;
4279}
4280_ACEOF
4281rm -f conftest.$ac_objext conftest$ac_exeext
4282if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4283 (eval $ac_link) 2>conftest.er1
4284 ac_status=$?
4285 grep -v '^ *+' conftest.er1 >conftest.err
4286 rm -f conftest.er1
4287 cat conftest.err >&5
4288 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4289 (exit $ac_status); } &&
4290 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4291 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4292 (eval $ac_try) 2>&5
4293 ac_status=$?
4294 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4295 (exit $ac_status); }; } &&
4296 { ac_try='test -s conftest$ac_exeext'
4297 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4298 (eval $ac_try) 2>&5
4299 ac_status=$?
4300 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4301 (exit $ac_status); }; }; then
4302 echo "$as_me:$LINENO: result: yes" >&5
4303echo "${ECHO_T}yes" >&6
4304
4305cat >>confdefs.h <<\_ACEOF
4306#define HAVE_SCHED_YIELD 1
4307_ACEOF
4308
4309else
4310 echo "$as_me: failed program was:" >&5
4311sed 's/^/| /' conftest.$ac_ext >&5
4312
4313echo "$as_me:$LINENO: result: no" >&5
4314echo "${ECHO_T}no" >&6
4315fi
4316rm -f conftest.err conftest.$ac_objext \
4317 conftest$ac_exeext conftest.$ac_ext
4318
4102 4319
4103MALLOC_TYPE=S 4320MALLOC_TYPE=S
4104 4321
4105support_addstrings=no 4322support_addstrings=no
4106support_frills=yes 4323support_frills=yes
4107support_inheritpixmap=no 4324support_inheritpixmap=yes
4108support_tinting=yes 4325support_tinting=yes
4109support_fading=yes 4326support_fading=yes
4110support_keepscrolling=yes 4327support_keepscrolling=yes
4111support_selectionscrolling=yes 4328support_selectionscrolling=yes
4112support_menubar=no 4329support_menubar=no
4120support_scroll_rxvt=yes 4337support_scroll_rxvt=yes
4121support_scroll_next=yes 4338support_scroll_next=yes
4122support_scroll_xterm=yes 4339support_scroll_xterm=yes
4123support_scroll_plain=yes 4340support_scroll_plain=yes
4124support_xim=yes 4341support_xim=yes
4125support_xpm=no 4342support_xpm=yes
4126support_xft=yes 4343support_xft=yes
4127support_unicode3=no 4344support_unicode3=no
4128support_combining=yes 4345support_combining=yes
4129support_8bitctrls=no 4346support_8bitctrls=no
4130support_iso14755=yes 4347support_iso14755=yes
4131support_styles=yes 4348support_styles=yes
4349support_perl=yes
4132codesets=all 4350codesets=all
4133 4351
4134 4352
4135if test "x$enable_shared" = xyes; then 4353if test "x$enable_shared" = xyes; then
4136 4354
4172 support_unicode3=no 4390 support_unicode3=no
4173 support_combining=no 4391 support_combining=no
4174 support_8bitctrls=no 4392 support_8bitctrls=no
4175 support_iso14755=no 4393 support_iso14755=no
4176 support_styles=no 4394 support_styles=no
4395 support_perl=no
4177 codesets= 4396 codesets=
4178 fi 4397 fi
4179 if test x$enableval = xyes; then 4398 if test x$enableval = xyes; then
4180 support_24bit=yes 4399 support_24bit=yes
4181 support_frills=yes 4400 support_frills=yes
4202 support_unicode3=yes 4421 support_unicode3=yes
4203 support_combining=yes 4422 support_combining=yes
4204 #support_8bitctrls=yes 4423 #support_8bitctrls=yes
4205 support_iso14755=yes 4424 support_iso14755=yes
4206 support_styles=yes 4425 support_styles=yes
4426 support_perl=yes
4207 codesets=all 4427 codesets=all
4208 fi 4428 fi
4209 4429
4210fi; 4430fi;
4211 4431
4327 if test x$enableval = xyes -o x$enableval = xno; then 4547 if test x$enableval = xyes -o x$enableval = xno; then
4328 support_scroll_xterm=$enableval 4548 support_scroll_xterm=$enableval
4329 fi 4549 fi
4330fi; 4550fi;
4331 4551
4552# Check whether --enable-perl or --disable-perl was given.
4553if test "${enable_perl+set}" = set; then
4554 enableval="$enable_perl"
4555 if test x$enableval = xyes -o x$enableval = xno; then
4556 support_perl=$enableval
4557 fi
4558fi;
4559
4332# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4560# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4333if test "${enable_plain_scroll+set}" = set; then 4561if test "${enable_plain_scroll+set}" = set; then
4334 enableval="$enable_plain_scroll" 4562 enableval="$enable_plain_scroll"
4335 if test x$enableval = xyes -o x$enableval = xno; then 4563 if test x$enableval = xyes -o x$enableval = xno; then
4336 support_scroll_plain=$enableval 4564 support_scroll_plain=$enableval
4405 enableval="$enable_resources" 4633 enableval="$enable_resources"
4406 if test x$enableval = xno; then 4634 if test x$enableval = xno; then
4407 4635
4408cat >>confdefs.h <<\_ACEOF 4636cat >>confdefs.h <<\_ACEOF
4409#define NO_RESOURCES 1 4637#define NO_RESOURCES 1
4410_ACEOF
4411
4412 fi
4413fi;
4414
4415# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4416if test "${enable_xgetdefault+set}" = set; then
4417 enableval="$enable_xgetdefault"
4418 if test x$enableval = xyes; then
4419
4420cat >>confdefs.h <<\_ACEOF
4421#define USE_XGETDEFAULT 1
4422_ACEOF 4638_ACEOF
4423 4639
4424 fi 4640 fi
4425fi; 4641fi;
4426 4642
7079 7295
7080 7296
7081 7297
7082 7298
7083 7299
7300
7301
7084for ac_header in \ 7302for ac_header in \
7085 assert.h \ 7303 assert.h \
7086 fcntl.h \ 7304 fcntl.h \
7087 grp.h \ 7305 grp.h \
7088 libc.h \ 7306 libc.h \
7101 sys/time.h \ 7319 sys/time.h \
7102 utmp.h \ 7320 utmp.h \
7103 utmpx.h \ 7321 utmpx.h \
7104 stdint.h \ 7322 stdint.h \
7105 pty.h \ 7323 pty.h \
7324 util.h \
7325 libutil.h \
7106 wchar.h \ 7326 wchar.h \
7107 cwchar \ 7327 cwchar \
7108 clocale \ 7328 clocale \
7109 7329
7110do 7330do
9963 10183
9964 10184
9965 10185
9966 10186
9967 10187
9968
9969for ac_func in \ 10188for ac_func in \
9970 atexit \ 10189 atexit \
9971 revoke \ 10190 revoke \
9972 unsetenv \ 10191 unsetenv \
9973 setutent \ 10192 setutent \
9974 seteuid \ 10193 seteuid \
9975 setreuid \ 10194 setreuid \
9976 setsid \ 10195 setsid \
9977 setpgrp \ 10196 setpgrp \
9978 setpgid \ 10197 setpgid \
9979 openpty \
9980 _getpty \ 10198 _getpty \
9981 grantpt \ 10199 grantpt \
9982 unlockpt \ 10200 unlockpt \
9983 isastream \ 10201 isastream \
9984 on_exit \ 10202 on_exit \
11822rm -f conftest.err conftest.$ac_objext \ 12040rm -f conftest.err conftest.$ac_objext \
11823 conftest$ac_exeext conftest.$ac_ext 12041 conftest$ac_exeext conftest.$ac_ext
11824fi 12042fi
11825echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5 12043echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5
11826echo "${ECHO_T}$rxvt_cv_func_getpt" >&6 12044echo "${ECHO_T}$rxvt_cv_func_getpt" >&6
11827if test x$rxvt_cv_func_getpt = xyes; then 12045if test x$rxvt_cv_func_getpt = xno; then
11828 12046 echo "$as_me:$LINENO: checking for openpty" >&5
12047echo $ECHO_N "checking for openpty... $ECHO_C" >&6
12048if test "${ac_cv_func_openpty+set}" = set; then
12049 echo $ECHO_N "(cached) $ECHO_C" >&6
12050else
12051 cat >conftest.$ac_ext <<_ACEOF
12052/* confdefs.h. */
12053_ACEOF
12054cat confdefs.h >>conftest.$ac_ext
11829cat >>confdefs.h <<\_ACEOF 12055cat >>conftest.$ac_ext <<_ACEOF
11830#define HAVE_GETPT 1 12056/* end confdefs.h. */
12057/* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
12058 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12059#define openpty innocuous_openpty
12060
12061/* System header to define __stub macros and hopefully few prototypes,
12062 which can conflict with char openpty (); below.
12063 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12064 <limits.h> exists even on freestanding compilers. */
12065
12066#ifdef __STDC__
12067# include <limits.h>
12068#else
12069# include <assert.h>
12070#endif
12071
12072#undef openpty
12073
12074/* Override any gcc2 internal prototype to avoid an error. */
12075#ifdef __cplusplus
12076extern "C"
12077{
12078#endif
12079/* We use char because int might match the return type of a gcc2
12080 builtin and then its argument prototype would still apply. */
12081char openpty ();
12082/* The GNU C library defines this for functions which it implements
12083 to always fail with ENOSYS. Some functions are actually named
12084 something starting with __ and the normal name is an alias. */
12085#if defined (__stub_openpty) || defined (__stub___openpty)
12086choke me
12087#else
12088char (*f) () = openpty;
12089#endif
12090#ifdef __cplusplus
12091}
12092#endif
12093
12094int
12095main ()
12096{
12097return f != openpty;
12098 ;
12099 return 0;
12100}
11831_ACEOF 12101_ACEOF
12102rm -f conftest.$ac_objext conftest$ac_exeext
12103if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12104 (eval $ac_link) 2>conftest.er1
12105 ac_status=$?
12106 grep -v '^ *+' conftest.er1 >conftest.err
12107 rm -f conftest.er1
12108 cat conftest.err >&5
12109 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12110 (exit $ac_status); } &&
12111 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12112 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12113 (eval $ac_try) 2>&5
12114 ac_status=$?
12115 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12116 (exit $ac_status); }; } &&
12117 { ac_try='test -s conftest$ac_exeext'
12118 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12119 (eval $ac_try) 2>&5
12120 ac_status=$?
12121 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12122 (exit $ac_status); }; }; then
12123 ac_cv_func_openpty=yes
12124else
12125 echo "$as_me: failed program was:" >&5
12126sed 's/^/| /' conftest.$ac_ext >&5
12127
12128ac_cv_func_openpty=no
12129fi
12130rm -f conftest.err conftest.$ac_objext \
12131 conftest$ac_exeext conftest.$ac_ext
12132fi
12133echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5
12134echo "${ECHO_T}$ac_cv_func_openpty" >&6
12135if test $ac_cv_func_openpty = yes; then
12136 :
12137else
12138 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12139echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12140if test "${ac_cv_lib_util_openpty+set}" = set; then
12141 echo $ECHO_N "(cached) $ECHO_C" >&6
12142else
12143 ac_check_lib_save_LIBS=$LIBS
12144LIBS="-lutil $LIBS"
12145cat >conftest.$ac_ext <<_ACEOF
12146/* confdefs.h. */
12147_ACEOF
12148cat confdefs.h >>conftest.$ac_ext
12149cat >>conftest.$ac_ext <<_ACEOF
12150/* end confdefs.h. */
12151
12152/* Override any gcc2 internal prototype to avoid an error. */
12153#ifdef __cplusplus
12154extern "C"
12155#endif
12156/* We use char because int might match the return type of a gcc2
12157 builtin and then its argument prototype would still apply. */
12158char openpty ();
12159int
12160main ()
12161{
12162openpty ();
12163 ;
12164 return 0;
12165}
12166_ACEOF
12167rm -f conftest.$ac_objext conftest$ac_exeext
12168if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12169 (eval $ac_link) 2>conftest.er1
12170 ac_status=$?
12171 grep -v '^ *+' conftest.er1 >conftest.err
12172 rm -f conftest.er1
12173 cat conftest.err >&5
12174 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12175 (exit $ac_status); } &&
12176 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12177 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12178 (eval $ac_try) 2>&5
12179 ac_status=$?
12180 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12181 (exit $ac_status); }; } &&
12182 { ac_try='test -s conftest$ac_exeext'
12183 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12184 (eval $ac_try) 2>&5
12185 ac_status=$?
12186 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12187 (exit $ac_status); }; }; then
12188 ac_cv_lib_util_openpty=yes
12189else
12190 echo "$as_me: failed program was:" >&5
12191sed 's/^/| /' conftest.$ac_ext >&5
12192
12193ac_cv_lib_util_openpty=no
12194fi
12195rm -f conftest.err conftest.$ac_objext \
12196 conftest$ac_exeext conftest.$ac_ext
12197LIBS=$ac_check_lib_save_LIBS
12198fi
12199echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12200echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12201if test $ac_cv_lib_util_openpty = yes; then
12202 LIBS="$LIBS -lutil"
12203fi
12204
12205fi
11832 12206
11833fi 12207fi
11834 12208
11835echo "$as_me:$LINENO: checking for pty/tty type" >&5 12209echo "$as_me:$LINENO: checking for pty/tty type" >&5
11836echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12210echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
11837if test "${rxvt_cv_ptys+set}" = set; then 12211if test "${rxvt_cv_ptys+set}" = set; then
11838 echo $ECHO_N "(cached) $ECHO_C" >&6 12212 echo $ECHO_N "(cached) $ECHO_C" >&6
11839else 12213else
11840 if test x$ac_cv_func_openpty = xyes; then 12214 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
11841 rxvt_cv_ptys=OPENPTY 12215 rxvt_cv_ptys=OPENPTY
11842 else if test x$ac_cv_func__getpty = xyes; then 12216 else if test x$ac_cv_func__getpty = xyes; then
11843 rxvt_cv_ptys=SGI4 12217 rxvt_cv_ptys=SGI4
11844 else if test -c /dev/ttyp20; then 12218 else if test -c /dev/ttyp20; then
11845 rxvt_cv_ptys=SCO 12219 rxvt_cv_ptys=SCO
11956 12330
11957fi 12331fi
11958 12332
11959if test x$support_xft = xyes; then 12333if test x$support_xft = xyes; then
11960 LIBS="$LIBS `pkg-config xft --libs`" 12334 LIBS="$LIBS `pkg-config xft --libs`"
11961 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
11962 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12335 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
11963 12336
11964 12337
11965for ac_header in X11/Xft/Xft.h 12338for ac_header in X11/Xft/Xft.h
11966do 12339do
12424#define ENCODING_ZH_EXT 1 12797#define ENCODING_ZH_EXT 1
12425_ACEOF 12798_ACEOF
12426 ;; 12799 ;;
12427 esac 12800 esac
12428done 12801done
12802
12803IF_PERL=\#
12804if test x$support_perl = xyes; then
12805 # Extract the first word of "perl5", so it can be a program name with args.
12806set dummy perl5; ac_word=$2
12807echo "$as_me:$LINENO: checking for $ac_word" >&5
12808echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12809if test "${ac_cv_path_PERL+set}" = set; then
12810 echo $ECHO_N "(cached) $ECHO_C" >&6
12811else
12812 case $PERL in
12813 [\\/]* | ?:[\\/]*)
12814 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12815 ;;
12816 *)
12817 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12818for as_dir in $PATH
12819do
12820 IFS=$as_save_IFS
12821 test -z "$as_dir" && as_dir=.
12822 for ac_exec_ext in '' $ac_executable_extensions; do
12823 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12824 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12825 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12826 break 2
12827 fi
12828done
12829done
12830
12831 ;;
12832esac
12833fi
12834PERL=$ac_cv_path_PERL
12835
12836if test -n "$PERL"; then
12837 echo "$as_me:$LINENO: result: $PERL" >&5
12838echo "${ECHO_T}$PERL" >&6
12839else
12840 echo "$as_me:$LINENO: result: no" >&5
12841echo "${ECHO_T}no" >&6
12842fi
12843
12844 # Extract the first word of "perl", so it can be a program name with args.
12845set dummy perl; ac_word=$2
12846echo "$as_me:$LINENO: checking for $ac_word" >&5
12847echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12848if test "${ac_cv_path_PERL+set}" = set; then
12849 echo $ECHO_N "(cached) $ECHO_C" >&6
12850else
12851 case $PERL in
12852 [\\/]* | ?:[\\/]*)
12853 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12854 ;;
12855 *)
12856 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12857for as_dir in $PATH
12858do
12859 IFS=$as_save_IFS
12860 test -z "$as_dir" && as_dir=.
12861 for ac_exec_ext in '' $ac_executable_extensions; do
12862 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12863 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12864 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12865 break 2
12866 fi
12867done
12868done
12869
12870 ;;
12871esac
12872fi
12873PERL=$ac_cv_path_PERL
12874
12875if test -n "$PERL"; then
12876 echo "$as_me:$LINENO: result: $PERL" >&5
12877echo "${ECHO_T}$PERL" >&6
12878else
12879 echo "$as_me:$LINENO: result: no" >&5
12880echo "${ECHO_T}no" >&6
12881fi
12882
12883
12884 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12885echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12886 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12887
12888 save_CXXFLAGS="$CXXFLAGS"
12889 save_LIBS="$LIBS"
12890 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12891 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12892 cat >conftest.$ac_ext <<_ACEOF
12893/* confdefs.h. */
12894_ACEOF
12895cat confdefs.h >>conftest.$ac_ext
12896cat >>conftest.$ac_ext <<_ACEOF
12897/* end confdefs.h. */
12898
12899#include <EXTERN.h>
12900#include <perl.h>
12901#include <XSUB.h>
12902
12903int
12904main ()
12905{
12906
12907 PerlInterpreter *perl = perl_alloc ();
12908
12909 ;
12910 return 0;
12911}
12912_ACEOF
12913rm -f conftest.$ac_objext conftest$ac_exeext
12914if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12915 (eval $ac_link) 2>conftest.er1
12916 ac_status=$?
12917 grep -v '^ *+' conftest.er1 >conftest.err
12918 rm -f conftest.er1
12919 cat conftest.err >&5
12920 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12921 (exit $ac_status); } &&
12922 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12923 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12924 (eval $ac_try) 2>&5
12925 ac_status=$?
12926 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12927 (exit $ac_status); }; } &&
12928 { ac_try='test -s conftest$ac_exeext'
12929 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12930 (eval $ac_try) 2>&5
12931 ac_status=$?
12932 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12933 (exit $ac_status); }; }; then
12934 rxvt_perl_link=yes
12935else
12936 echo "$as_me: failed program was:" >&5
12937sed 's/^/| /' conftest.$ac_ext >&5
12938
12939rxvt_perl_link=no
12940fi
12941rm -f conftest.err conftest.$ac_objext \
12942 conftest$ac_exeext conftest.$ac_ext
12943 CXXFLAGS="$save_CXXFLAGS"
12944 LIBS="$save_LIBS"
12945
12946 if test x$rxvt_perl_link = xyes; then
12947 echo "$as_me:$LINENO: result: ok" >&5
12948echo "${ECHO_T}ok" >&6
12949
12950cat >>confdefs.h <<\_ACEOF
12951#define ENABLE_PERL 1
12952_ACEOF
12953
12954 IF_PERL=
12955 PERL_O=rxvtperl.o
12956 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12957 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12958 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12959 else
12960 support_perl=no
12961 echo "$as_me:$LINENO: result: no, unable to link" >&5
12962echo "${ECHO_T}no, unable to link" >&6
12963 fi
12964 else
12965 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12966echo "$as_me: error: no working perl found" >&2;}
12967 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12968 support_perl=no
12969 fi
12970fi
12971
12972
12973
12974
12975
12976
12977
12978if test x$support_perl = xyes; then
12979 support_frills=yes
12980fi
12429 12981
12430 12982
12431CFLAGS=${CFLAGS--O} 12983CFLAGS=${CFLAGS--O}
12432LDFLAGS=${LDFLAGS--O} 12984LDFLAGS=${LDFLAGS--O}
12433 12985
13214s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13766s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13215s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13767s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13216s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13768s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13217s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13769s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13218s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13770s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13771s,@PERL@,$PERL,;t t
13772s,@PERLLIB@,$PERLLIB,;t t
13773s,@PERLFLAGS@,$PERLFLAGS,;t t
13774s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13775s,@IF_PERL@,$IF_PERL,;t t
13776s,@PERL_O@,$PERL_O,;t t
13219s,@DEBUG@,$DEBUG,;t t 13777s,@DEBUG@,$DEBUG,;t t
13220s,@DINCLUDE@,$DINCLUDE,;t t 13778s,@DINCLUDE@,$DINCLUDE,;t t
13221s,@DLIB@,$DLIB,;t t 13779s,@DLIB@,$DLIB,;t t
13222s,@include_stdint_h@,$include_stdint_h,;t t 13780s,@include_stdint_h@,$include_stdint_h,;t t
13223s,@include_stdarg_h@,$include_stdarg_h,;t t 13781s,@include_stdarg_h@,$include_stdarg_h,;t t
13764 utmp file: $rxvt_cv_path_utmp 14322 utmp file: $rxvt_cv_path_utmp
13765 utmpx file: $rxvt_cv_path_utmpx 14323 utmpx file: $rxvt_cv_path_utmpx
13766 wtmp file: $rxvt_cv_path_wtmp 14324 wtmp file: $rxvt_cv_path_wtmp
13767 wtmpx file: $rxvt_cv_path_wtmpx 14325 wtmpx file: $rxvt_cv_path_wtmpx
13768 lastlog file: $rxvt_cv_path_lastlog 14326 lastlog file: $rxvt_cv_path_lastlog
13769 ttys/ttytab file: $rxvt_cv_path_ttytab" 14327 ttys/ttytab file: $rxvt_cv_path_ttytab
14328 embedded perl: $support_perl"
13770 echo 14329 echo
13771fi 14330fi
13772if test x$term != x; then 14331if test x$term != x; then
13773 echo " set TERM to: $term" 14332 echo " set TERM to: $term"
13774fi 14333fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines